| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::TrackerStateEstimator Class Referenceabstract
Tracking API » Tracking API implementation details

Abstract base class for TrackerStateEstimator that estimates the most likely target state. More...

`#include <opencv2/video/detail/tracking.detail.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerStateEstimator:

## Public Member Functions
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state.
String | getClassName () const
| Get the name of the specific TrackerStateEstimator.
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores.

## Static Public Member Functions
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type.

## Protected Member Functions
virtual Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps)=0
virtual void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps)=0

## Protected Attributes
String | className

## Detailed Description

Abstract base class for TrackerStateEstimator that estimates the most likely target state.

See [233] State estimator

See [164] Statistical modeling (Fig. 3), Table III (generative) - IV (discriminative) - V (hybrid)

## Constructor & Destructor Documentation

## ◆ ~TrackerStateEstimator()

virtual cv::detail::tracking::TrackerStateEstimator::~TrackerStateEstimator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

static Ptr< TrackerStateEstimator > cv::detail::tracking::TrackerStateEstimator::create | ( | const String & | trackeStateEstimatorType | ) |
| static

Create TrackerStateEstimator by tracker state estimator type.

Parameters

  trackeStateEstimatorType | The TrackerStateEstimator name

The modes available now:

- "BOOSTING" – Boosting-based discriminative appearance models. See [164] section 4.4

The modes available soon:

- "SVM" – SVM-based discriminative appearance models. See [164] section 4.5

## ◆ estimate()

Ptr< TrackerTargetState > cv::detail::tracking::TrackerStateEstimator::estimate | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |

Estimate the most likely target state, return the estimated state.

Parameters

  confidenceMaps | The overall appearance model as a list of :cConfidenceMap

## ◆ estimateImpl()

virtual Ptr< TrackerTargetState > cv::detail::tracking::TrackerStateEstimator::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected pure virtual

Implemented in cv::detail::tracking::TrackerStateEstimatorAdaBoosting, and cv::detail::tracking::TrackerStateEstimatorSVM.

## ◆ getClassName()

String cv::detail::tracking::TrackerStateEstimator::getClassName | ( |  | ) | const

Get the name of the specific TrackerStateEstimator.

## ◆ update()

void cv::detail::tracking::TrackerStateEstimator::update | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |

Update the ConfidenceMap with the scores.

Parameters

  confidenceMaps | The overall appearance model as a list of :cConfidenceMap

## ◆ updateImpl()

virtual void cv::detail::tracking::TrackerStateEstimator::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected pure virtual

Implemented in cv::detail::tracking::TrackerStateEstimatorAdaBoosting, and cv::detail::tracking::TrackerStateEstimatorSVM.

## Member Data Documentation

## ◆ className

String cv::detail::tracking::TrackerStateEstimator::className
| protected

The documentation for this class was generated from the following file:

- opencv2/video/detail/tracking.detail.hpp